Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.preview_new_graphdraw
Class StaticLayout

    java.lang.Object
      samples.preview_new_graphdraw.AbstractLayout
          samples.preview_new_graphdraw.StaticLayout

All Implemented Interfaces:
  Cloneable, LayoutEmitter

Direct Known Subclasses:
  CircleLayout, IterableFromStaticEmittedLayout, IterableToStaticLayout, RandomLayout, SimpleLayoutAlgorithm

public abstract class StaticLayout
extends AbstractLayout
implements LayoutEmitter

Author:
  Danyel Fisher, Scott White

Field Summary

Fields inherited from class samples.preview_new_graphdraw.AbstractLayout
`screenSize, visEdgeMap, visVertexMap`

Constructor Summary
`StaticLayout()`

Method Summary
`protected VisEdge` | `createVisEdge(Edge e, VisVertex vv1, VisVertex vv2)`
`protected void` | `createVisEdges(Set edges)`
`protected abstract VisVertex` | `createVisVertex(Vertex v)`
`protected void` | `createVisVertices(Set vertices)`
`EmittedLayout` | `emit()` this is a copy of this layout that the code can freely stomp on.
`StaticLayout` | `initializeLocations(Dimension d, Graph g)`

Methods inherited from class samples.preview_new_graphdraw.AbstractLayout
`getScreenSize, getVisEdge, getVisVertex, repositionLayout, setDimensions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticLayout

    public StaticLayout()

Method Detail

### initializeLocations

    public StaticLayout initializeLocations(Dimension d,
                                            Graph g)

### createVisVertices

    protected void createVisVertices(Set vertices)

### createVisEdges

    protected void createVisEdges(Set edges)

### createVisVertex

    protected abstract VisVertex createVisVertex(Vertex v)

### createVisEdge

    protected VisEdge createVisEdge(Edge e,
                                    VisVertex vv1,
                                    VisVertex vv2)

### emit

    public EmittedLayout emit()

  this is a copy of this layout that the code can freely stomp on. in this case, it's just this.

  Specified by:
    `emit` in interface `LayoutEmitter`
  See Also:
    `LayoutEmitter.emit()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD